package com.ruoyi.change.service;

import java.util.List;
import com.ruoyi.change.domain.TbAssetLend;

/**
 * 资产借出Service接口
 * 
 * @author 原动力
 * @date 2023-05-15
 */
public interface ITbAssetLendService 
{
    /**
     * 查询资产借出
     * 
     * @param id 资产借出主键
     * @return 资产借出
     */
    public TbAssetLend selectTbAssetLendById(Long id);

    /**
     * 查询资产借出列表
     * 
     * @param tbAssetLend 资产借出
     * @return 资产借出集合
     */
    public List<TbAssetLend> selectTbAssetLendList(TbAssetLend tbAssetLend);

    /**
     * 新增资产借出
     * 
     * @param tbAssetLend 资产借出
     * @return 结果
     */
    public int insertTbAssetLend(TbAssetLend tbAssetLend);

    /**
     * 修改资产借出
     * 
     * @param tbAssetLend 资产借出
     * @return 结果
     */
    public int updateTbAssetLend(TbAssetLend tbAssetLend);

    /**
     * 批量删除资产借出
     * 
     * @param ids 需要删除的资产借出主键集合
     * @return 结果
     */
    public int deleteTbAssetLendByIds(Long[] ids);

    /**
     * 删除资产借出信息
     * 
     * @param id 资产借出主键
     * @return 结果
     */
    public int deleteTbAssetLendById(Long id);
}
